%define enable_check	0

Summary:	A utility for finding files by name via a central database
Name:		mlocate
Version:	0.26
Release:	%mkrel 3
License:	GPLv2+
Group:		File tools
URL:		http://fedorahosted.org/mlocate/
Source0:	http://fedorahosted.org/releases/m/l/mlocate/%{name}-%{version}.tar.xz
Source1:	updatedb.conf
Source2:	mlocate.cron
Requires(pre):	shadow-utils

%description
Mlocate is a locate/updatedb implementation.  It keeps a database of
all existing files, and allows you to lookup files by name.

The 'm' stands for "merging": updatedb reuses the existing database to avoid
rereading most of the file system, which makes updatedb faster and does not
trash the system caches as much as traditional locate implementations.

%prep
%setup -q

%build
%configure2_5x \
	--localstatedir=%{_localstatedir}/lib \
	--disable-rpath

%make

%install
rm -rf %{buildroot}
%makeinstall_std

# install config file:
install -D -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/updatedb.conf

# install daily cron entry:
install -D -m 755 %{SOURCE2} %{buildroot}%{_sysconfdir}/cron.daily/mlocate.cron

# for %ghost:
touch %{buildroot}%{_localstatedir}/lib/mlocate/mlocate.db

%find_lang %{name}

%clean
rm -rf %{buildroot}

%pre
if [ "$1" = "1" ]; then
	%{_sbindir}/groupadd -r -f mlocate
elif [ "$1" = "2" ]; then
	if getent group slocate > /dev/null; then
		if getent group mlocate > /dev/null; then
			%{_sbindir}/groupdel slocate
		else
			%{_sbindir}/groupmod -n mlocate slocate
		fi
	fi
fi

%post
# for %ghost:
touch %{_localstatedir}/lib/mlocate/mlocate.db

%if %{enable_check}
%check
make check
%endif

%files -f %{name}.lang
%doc AUTHORS NEWS README
%config(noreplace) %{_sysconfdir}/updatedb.conf
%{_sysconfdir}/cron.daily/mlocate.cron
%attr(2711,root,mlocate) %{_bindir}/locate
%{_bindir}/updatedb
%{_mandir}/man*/*
%dir %attr(0750,root,mlocate) %{_localstatedir}/lib/mlocate
%ghost %{_localstatedir}/lib/mlocate/mlocate.db


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 0.26-3.mga3
+ Revision: 360170
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 luigiwalser <luigiwalser> 0.26-2.mga3
+ Revision: 338157
- lower i/o priority of updatedb (mga#8426)

* Sun Oct 07 2012 luigiwalser <luigiwalser> 0.26-1.mga3
+ Revision: 303094
- 0.26

  + shlomif <shlomif>
    - Correct a typo.

* Sun Apr 01 2012 wally <wally> 0.25-2.mga2
+ Revision: 227639
- fix update when both mlocate and slocate group exists (mga#4901)

* Sun Mar 04 2012 wally <wally> 0.25-1.mga2
+ Revision: 217835
- new version 0.25

* Sat Apr 02 2011 wally <wally> 0.24-1.mga1
+ Revision: 79775
- new version 0.24
- sync cron and config file with Fedora
- use mlocate group instead of slocate
- update slocate group name to mlocate when updating
- drop buildroot definition

* Tue Jan 11 2011 wally <wally> 0.23.1-3.mga1
+ Revision: 6271
- clean configuration file from unwanted occurrence
- don't index cifs

* Tue Jan 11 2011 wally <wally> 0.23.1-2.mga1
+ Revision: 6260
- drop old provides, obsoletes and triggerpostun
- clean .spec a bit
- imported package mlocate

